Advisory Details

December 18th, 2013

EMC Connectrix Manager Converged Network Edition inmservlets.war FileUploadController Servlet Remote Code Execution Vulnerability

ZDI-13-280
ZDI-CAN-1747

CVE ID CVE-2013-6810
CVSS SCORE 10, (AV:N/AC:L/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS EMC
AFFECTED PRODUCTS Connectrix Manager Converged Network Edition
VULNERABILITY DETAILS



This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of EMC Connectrix Manager Converged Network Edition. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the 'FileUploadController' servlet, which allows an unauthenticated user to read or write an arbitrary file anywhere on the system. An attacker can leverage this directory traversal vulnerability into arbitrary code execution on the compromised server in the security context of the Administrator account.

ADDITIONAL DETAILS EMC has issued an update to correct this vulnerability. More details can be found at:
http://my.brocade.com/wps/myportal/!ut/p/b1/04_SjzQ0MzEwM7S0sDDSj9CPykssy0xPLMnMz0vMAfGjzOKd3BzDjE2MjQ39vbycDTzdXYJCLb18jQx8zIAKIoEKDHAARwNC-sP1o_ArMYEqwGOFn0d-bqp-blSOpaeuoyIA_fi0nA!!/dl4/d5/L2dJQSEvUUt3QS80SmtFL1o2X0JGQVYzNDMzMU9KSkMwSUdEUlU5Sk0yMDcx/
DISCLOSURE TIMELINE
  • 2013-02-13 - Vulnerability reported to vendor
  • 2013-12-18 - Coordinated public release of advisory
CREDIT Andrea Micalizzi aka rgod
BACK TO ADVISORIES